:root {
  --flag-size: 30px;
  --percentage: 30%;
  --primary-color: #e4e4e4;
  --seconday-color: #215365;
}

body {
  /* margin: 0 20px 0 20px; */
  margin: 0;
  padding: 0;
  height: 100vh;
  background-color: rgb(233, 233, 233);
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen,
    Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
}

main {
  display: grid;
  grid-template-areas: "flag" "book" "presentation" "footer";
  background-color: red;
}

a {
  color: white;
  text-decoration: none;
}

#book {
  grid-area: book;
  background-color: var(--primary-color);
  padding: 10px;
}

#book-presentation {
  display: flex;
  justify-content: center;
  /* margin-top: 50px; */
  /* width: 100%; */
  margin-left: 10vw;
  margin-right: 10vw;
  align-items: center;
  flex-direction: column;
  text-align: center;
}

#specs > table {
  border-collapse: collapse;
  width: 100%;
  margin: 0;
}

#specs tbody {
  border: black solid;
}

#specs td,
th {
  border: solid;
  padding: 10px;
  text-align: left;
}

#specs ul {
  padding: 0;
  text-align: left;
}

#specs li {
  list-style-type: none;
}

#specs #title > h3 {
  font-style: italic;
}

#synopsis {
  text-align: justify;
  font-style: italic;
}

#synopsis h3 {
  text-align: center;
}

#book-cover {
  width: 400px;
  height: 620px;
}

#presentation {
  grid-area: presentation;
  background-color: var(--seconday-color);
  padding: 10px;
  color: #c7ccce;
}

#notices {
  text-align: center;
  margin-top: auto;
}

#name {
  text-align: center;
  padding-bottom: 50px;
  margin-top: 50px;
  border-bottom: var(--primary-color) solid 0.5px;
}

#name > h4 {
  margin: 0;
  font-size: 1.3rem;
}

#presentation-elements {
  display: flex;
  flex-direction: column;
}

#presentation-elements > :not(:last-child) {
  margin-bottom: 20px;
  border-bottom: var(--primary-color) solid 0.5px;
}

.presentationCard {
  padding: 10px;
  text-align: center;
}

.presentationCard > h5 {
  text-align: center;
  margin: 5px 0 5px 0;
  font-size: 1em;
}

.presentationCard h4 {
  text-align: center;
}

.presentationCard > p {
  text-align: justify;
}

.presentationCard > ul {
  padding: 0;
}

.presentationCard > ul > li {
  list-style-type: none;
}

.presentationCard > ul > h5 {
  margin-bottom: 2px;
}

#forthcoming > p {
  text-align: center;
}

#links {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
}

#flag-container {
  display: flex;
  position: absolute;
  align-items: center;
}

#flag-container > :not(:last-child) {
  margin-right: 5px;
}

#flag-link {
  height: var(--flag-size);
}

.flag {
  position: relative;
  width: var(--flag-size);
  height: var(--flag-size);
}

.currentFlag {
  width: calc(var(--flag-size) + 10px);
  height: calc(var(--flag-size) + 10px);
}

#stores p {
  text-align: center;
}

#facebook h4 {
  margin-top: 0;
}

footer {
  grid-area: footer;
  padding: 10px 0 10px 0;
  text-align: center;
  background-color: var(--primary-color);
}

@media only screen and (min-width: 1000px) {
  main {
    grid-template-columns: var(--percentage) calc(100% - var(--percentage));
    grid-template-areas: "flag flag" "presentation book" "presentation footer";
  }

  #footer {
    height: fit-content;
  }

  #presentation {
    display: flex;
    flex-direction: column;
    border-right: solid black 0.5px;
  }
}

@media only screen and (min-width: 1600px) {
  main {
    grid-template-columns: 15% calc(100% - 15%);
    grid-template-areas: "flag flag" "presentation book" "presentation footer";
  }

  #presentation {
    display: flex;
    flex-direction: column;
    border-right: solid black 0.5px;
  }

  footer {
    height: fit-content;
  }
}
